Bug 425807 - procompile crashes (bugfix provided)
procompile crashes (bugfix provided)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tclpro (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-15 22:06 EST by Need Real Name
Modified: 2008-01-03 20:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.5.0-10.20061030cvs.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-12-15 22:06:40 EST
Description of problem:

/usr/bin/procompile crashes

Version-Release number of selected component (if applicable):

tclpro-1.5.0-9.20061030cvs.fc8

How reproducible:

always

Steps to Reproduce:

procompile filename.tcl
  
Actual results:

Error in startup script: invalid command name "procomp::run"
    while executing
"procomp::run"
    invoked from within
"set status [procomp::run]"
    (file "/usr/bin/procompile" line 54)

Expected results:

no output to stdout/stderr

Additional info:

TO FIX THIS BUG, these two changes are needed:

(1) mv /usr/share/tcl8.4/procomp1.5/procomp_pkgIndex.tcl
/usr/share/tcl8.4/procomp1.5/pkgIndex.tcl

(2) Apply this patch to load package procomp:
$ diff -u /usr/bin/procompile{,2}
--- /usr/bin/procompile 2007-08-22 02:54:22.000000000 +0100
+++ /usr/bin/procompile2        2007-12-16 01:23:44.000000000 +0000
@@ -17,6 +17,7 @@

 package require projectInfo
 package require cmdline
+package require procomp 1.0

 # Set up hook to check TclPro license keys.
Comment 1 Wart 2007-12-19 14:02:33 EST
Thanks for the bug report and the patch.  I'm sending an updated package through
the update system now.
Comment 2 Fedora Update System 2007-12-20 15:14:38 EST
tclpro-1.5.0-10.20061030cvs.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tclpro'
Comment 3 Wart 2007-12-28 14:19:09 EST
If you could please verify that the latest version in the testing repository
works for you, then I'll push it as a stable update.

Thanks
Comment 4 Fedora Update System 2008-01-02 20:31:02 EST
tclpro-1.5.0-10.20061030cvs.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Need Real Name 2008-01-03 20:03:58 EST
Thanks for the updated package - it works perfectly.

Note You need to log in before you can comment on or make changes to this bug.